NDB_ERROR_REPORTER(1)

NAME
ndb_error_reporter - NDB error-reporting utility

SYNOPSIS

ndb_error_reporter options

DESCRIPTION

ndb_error_reporter creates an archive from data node and management node log files that can be used to help diagnose bugs or other problems with a cluster. It is highly recommended that you make use of this utility when filing reports of bugs in NDB Cluster.

Options that can be used with ndb_error_reporter are shown in the following table. Additional descriptions follow the table.

Table 21.32. Command-line options used with the program ndb_error_reporter
Format | Description | Added, Deprecated, or Removed
--connection-timeout=# | Number of seconds to wait when connecting to nodes before timing out | (Supported in all NDB releases based on MySQL 5.7)
--dry-scp | Disable scp with remote hosts; used in testing only | (Supported in all NDB releases based on MySQL 5.7)
--fs | Include file system data in error report; can use a large amount of disk space | (Supported in all NDB releases based on MySQL 5.7)
--help, -? | Display help text and exit | (Supported in all NDB releases based on MySQL 5.7)
--skip-nodegroup=# | Skip all nodes in the node group having this ID | (Supported in all NDB releases based on MySQL 5.7)

Usage

    ndb_error_reporter path/to/config-file [username] [options]

This utility is intended for use on a management node host, and requires the path to the management host configuration file (usually named config.ini). Optionally, you can supply the name of a user that is able to access the cluster's data nodes using SSH, to copy the data node log files. ndb_error_reporter then includes all of these files in archive that is created in the same directory in which it is run. The archive is named ndb_error_report_YYYYMMDDhhmmss.tar.bz2, where YYYYMMDDhhmmss is a datetime string.

ndb_error_reporter also accepts the options listed here:

    • --connection-timeout=timeout
    Command-Line Format | --connection-timeout=#
    Type | Integer
    Default Value | 0

    Wait this many seconds when trying to connect to nodes before timing out.

    • --dry-scp
    Command-Line Format | --dry-scp

    Run ndb_error_reporter without using scp from remote hosts. Used for testing only.

    • --fs
    Command-Line Format | --fs

    Copy the data node file systems to the management host and include them in the archive.

    Because data node file systems can be extremely large, even after being compressed, we ask that you please do not send archives created using this option to Oracle unless you are specifically requested to do so.

    • --help
    Command-Line Format | --help

    Display help text and exit.

    • --skip-nodegroup=nodegroup_id
    Command-Line Format | --connection-timeout=#
    Type | Integer
    Default Value | 0

    Skip all nodes belong to the node group having the supplied node group ID.

COPYRIGHT

Copyright © 1997, 2022, Oracle and/or its affiliates.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).